## png++ 0.2.5

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #
 
 # don't forget to update version before releasing!
-version := 0.2.3
+version := 0.2.5
 
 ifndef PREFIX
 PREFIX := /usr/local
@@ -67,9 +67,14 @@
 
 install: install-headers install-docs
 
+uninstall: uninstall-headers uninstall-docs
+
 install-headers:
 	mkdir -p $(PREFIX)/include/png++
 	cp *.hpp $(PREFIX)/include/png++
+
+uninstall-headers:
+	rm -rf $(PREFIX)/include/png++
 
 dist: dist-mkdir dist-copy-files dist-package
 
@@ -126,6 +131,9 @@
 		[ -d png++ ] || ln -s $(dist_dir) png++; \
 	fi
 
+uninstall-docs:
+	rm -rf $(PREFIX)/share/doc/$(dist_dir) $(PREFIX)/share/doc/png++
+
 examples:
 	$(MAKE) -C example $(MAKEFLAGS)
