=== test/Makefile ===
--- 
+++ 
@@ -64,9 +64,8 @@
 
 dist-copy-files:
 	mkdir $(dist_dir)/test
-	cp $(sources) Makefile test.sh README *.png $(dist_dir)/test
-	mkdir $(dist_dir)/test/cmp
-	cp cmp/*.out $(dist_dir)/test/cmp
+	cp -r $(sources) Makefile test.sh README cmp $(dist_dir)/test
+	tar cf - pngsuite --exclude=\*.out | tar xf - -C $(dist_dir)/test
 
 clean: clean-targets clean-tests-output clean-deps
 
@@ -77,7 +76,7 @@
 	./test.sh
 
 clean-tests-output:
-	rm -f *.out
+	rm -f *.out pngsuite/*.out
 
 .PHONY: all dist-copy-files \
   clean clean-targets \
