=== debian/changelog ===
png++ (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patch.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add source local-options.
  * Silence pngsuite test files from copyright check to not upset dpkg
    with binary diff below debian subdir.
  * Build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Dec 2010 13:51:15 +0100
