=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Section: libs
 Build-Depends: cdbs,
  debhelper (>= 6),
+ dh-buildinfo,
  libpng-dev,
  doxygen
 Homepage: http://savannah.nongnu.org/projects/pngpp/
