=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,10 @@
 CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
 
 DEB_UPSTREAM_URL = http://download.savannah.nongnu.org/releases/pngpp
-DEB_UPSTREAM_TARBALL_MD5 = 0ec39b2996dd7095de0dc39389dee04d
+DEB_UPSTREAM_TARBALL_MD5 = beb02ba7daddcf847e1617e75b7af567
+
+# Silence pngsuite in addition to the default debian files
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^./test/.*|\./debian/(changelog|copyright(|_hints|_newhints))$
 
 DEB_DESTDIR = $(CURDIR)/debian/tmp/
