## png++ 0.2.9

=== debian/changelog ===
png++ (0.2.9-2) unstable; urgency=medium

  * Move repository to salsa.debian.org.
  * d/copyright:
    - Use https:// for d/copyright spec.
    - Fix spelling error in comment.
    - Update copyright years.
  * Fix spelling error in patch.
  * Bump d/compat to level 11.
  * Use https:// also for d/watch.
  * Bump S-V to 4.1.4 -- no changes required.
  * Extend the long package description to have a bit more content/infos about
    the package.

 -- Tobias Frost <tobi@debian.org>  Sat, 14 Apr 2018 08:33:05 +0200

png++ (0.2.9-1) unstable; urgency=medium

  * New upstream release. (Closes: #733231)
  * Add myself to Uploaders, thanks Jonas for the offer.
  * Also adding myself to d/copyright.
  * Refresh patch 1001_avoid_MAKEFLAGS.patch.
  * Remove patch 1002-libpng16.patch, no longer needed.
  * Changing to short debhelper format:
    - refactor d/rules.
    - drop B-D on cdbs and dh_buildinfo.
    - introduce d/clean, /*.install, d/*.docs and d/*.examples.
    - drop d/README.source, d/copyright_hints and d/control.in.
  * Bump S-V to 3.9.6, no changes required.
  * Fix also VCS-Git to canonical format.
  * New patch 1004-use-imagemagick-compare-for-testsuite.patch, avoiding
    rounding errors in the testsuite by allowing some fuzz. This requires
    imagemagick as new B-D.
  * Add a lintian override for doxygen's jquery.

 -- Tobias Frost <tobi@debian.org>  Sun, 15 May 2016 15:33:07 +0200

png++ (0.2.5-2) unstable; urgency=medium

  * Team upload (collab-maint)
  * Fix FTBFS for libpng16 (Closes: #819283)
  * Add reproducible build patch from BTS (Closes: #777632)
  * Update d/copyright to latest dep5 syntax
  * Clarify copyright of pngsuite in d/copyright (Closes: #615561)
  * Bump d/compat level from 6 to 9
  * Bump S-V to 3.9.7 (Changes: d/copyright, see above)
  * Change VCS-* to secure, canonical format.

 -- Tobias Frost <tobi@debian.org>  Sat, 26 Mar 2016 15:25:35 +0100
