=== debian/control ===
Source: png++
Priority: optional
Section: libs
Build-Depends: debhelper (>= 11),
 libpng-dev,
 doxygen,
 imagemagick,
Homepage: http://savannah.nongnu.org/projects/pngpp/
Standards-Version: 4.1.4
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Tobias Frost <tobi@debian.org>
Vcs-Git: https://salsa.debian.org/debian/pngplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/pngplusplus

Package: libpng++-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libpng-dev
Description: C++ interface to the PNG (Portable Network Graphics) library
 PNG++ aims to provide simple yet powerful C++ interface to libpng, the
 Portable Network Graphics (PNG) reference implementation library.
 .
 Using raw libpng in C++ may impose serious challenge since lots of
 precautions must be taken to handle initialization/deinitialization of
 control structures as well as handling errors correctly. With png++
 you can read or write PNG images just in a single line of C++ code.
