=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
https://download.savannah.nongnu.org/releases/pngpp/png\+\+-(.*)\.tar\.gz
