## png++ 0.2.10

=== Makefile ===
--- 
+++ 
@@ -29,33 +29,17 @@
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
+PNGPP := .
+
 # don't forget to update version before releasing!
-version := 0.2.5
+version := 0.2.9
 
-ifndef PREFIX
-PREFIX := /usr/local
-endif
+build_files := common.mk Makefile Doxyfile
+doc_files := AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
+headers := $(wildcard *.hpp)
+sources :=
 
-ifdef MINGW
-bin_suffix := .exe
-endif
-
-make_cflags := -Wall $(CFLAGS) -I$(PREFIX)/include
-make_ldflags := $(LDFLAGS) -L$(PREFIX)/lib
-
-ifndef NDEBUG
-make_cflags := $(make_cflags) -g
-make_ldflags := $(make_ldflags) -g
-endif
-
-ifndef LIBPNG_CONFIG
-LIBPNG_CONFIG := libpng-config
-endif
-
-build_files := Makefile Doxyfile
-doc_files := AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
-headers := *.hpp
-sources :=
+include common.mk
 
 dist_dir := png++-$(version)
 dist_package := png++-$(version).tar.gz
@@ -71,7 +55,7 @@
 
 install-headers:
 	mkdir -p $(PREFIX)/include/png++
-	cp *.hpp $(PREFIX)/include/png++
+	cp $(headers) $(PREFIX)/include/png++
 
 uninstall-headers:
 	rm -rf $(PREFIX)/include/png++
@@ -95,27 +79,24 @@
 	rm -rf $(dist_dir)
 
 clean: test-clean examples-clean
-#	rm -f $(targets)
 
 thorough-clean: clean docs-clean
 
 check: test
 
 test:
-	$(MAKE) test -C test $(MAKEFLAGS) PNGPP=`pwd`
+	$(MAKE) test -C test $(MAKEFLAGS)
 
 test-clean:
 	$(MAKE) clean -C test $(MAKEFLAGS)
 
-test-compile-headers: *.hpp
-	for i in *.hpp; do \
-		echo '#include "'$$i'"' >$$i.cpp \
-		&& g++ -c $$i.cpp $(make_cflags) `$(LIBPNG_CONFIG) --cflags`; \
-	done
-	rm -f *.hpp.o *.hpp.cpp
+test-compile-headers: $(headers:%.hpp=%.hpp.o)
+
+%.hpp.o:
+	$(CXX) -c $(@:%.hpp.o=%.hpp) -o /dev/null $(make_cflags)
 
 docs:
-	doxygen
+	VERSION=$(version) doxygen
 
 docs-clean:
 	rm -rf doc
@@ -140,9 +121,9 @@
 examples-clean:
 	$(MAKE) clean -C example $(MAKEFLAGS)
 
-.PHONY: all install \
+.PHONY: install \
   dist dist-mkdir dist-copy-files dist-package \
-  clean thorough-clean \
+  thorough-clean \
   check test test-clean test-compile-headers \
   docs docs-clean \
   examples examples-clean
