=== test/Makefile ===
--- 
+++ 
@@ -28,24 +28,8 @@
 # NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
-ifndef PREFIX
-PREFIX := /usr/local
-endif
-
 ifndef PNGPP
 PNGPP := ..
-endif
-
-make_cflags := -Wall $(CFLAGS) -I$(PREFIX)/include -I$(PNGPP)
-make_ldflags := $(LDFLAGS) -L$(PREFIX)/lib
-
-ifndef NDEBUG
-make_cflags := $(make_cflags) -g
-make_ldflags := $(make_ldflags) -g
-endif
-
-ifndef LIBPNG_CONFIG
-LIBPNG_CONFIG := libpng-config
 endif
 
 sources := convert_color_space.cpp \
@@ -56,45 +40,25 @@
   read_write_param.cpp \
   dump.cpp
 
-deps := $(sources:.cpp=.dep)
-objects := $(sources:.cpp=.o)
-targets := $(sources:.cpp=$(bin_suffix))
-
-all: $(deps) $(targets)
+include ../common.mk
 
 dist-copy-files:
 	mkdir $(dist_dir)/test
 	cp -r $(sources) Makefile test.sh README cmp $(dist_dir)/test
 	tar cf - pngsuite --exclude=\*.out | tar xf - -C $(dist_dir)/test
 
-clean: clean-targets clean-tests-output clean-deps
+clean: clean-tests-output
 
-clean-targets:
-	rm -f $(targets) $(objects)
+check: test
 
 test: all
 	./test.sh
 
 clean-tests-output:
-	rm -f *.out pngsuite/*.out
+	rm -rf out
 
-.PHONY: all dist-copy-files \
-  clean clean-targets \
+.PHONY: dist-copy-files \
   test test-convert_color_space \
-  clean-tests-output \
-  clean-deps
-
-%$(bin_suffix): %.o
-	g++ -o $@ $< $(make_ldflags) `$(LIBPNG_CONFIG) --ldflags`
-
-%.o: %.cpp
-	g++ -c -o $@ $< $(make_cflags) `$(LIBPNG_CONFIG) --cflags`
-
-%.dep: %.cpp
-	g++ -M $(CPPFLAGS) $(make_cflags) $< -o- | \
-	  sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@
-
-clean-deps:
-	rm -f $(deps)
+  clean-tests-output
 
 include $(deps)
