=== debian/changelog ===
png++ (0.2.10-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Enable upstream tarball signature check.
  * d/control overhaul:
    - Specify Rules-Requires-Root
    - Drop d/compat in favour of B-D'ing on debhelper-compat. And go to level
      12.
    - Bump S-V to 4.4.1 -- no changes needed.
  * drop linitian override for doxygen's jquery.js, as no longer needed.

 -- Tobias Frost <tobi@debian.org>  Mon, 07 Oct 2019 20:55:05 +0200
