=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: png++
 Priority: optional
 Section: libs
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  libpng-dev,
  doxygen,
  imagemagick,
 Homepage: http://savannah.nongnu.org/projects/pngpp/
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Tobias Frost <tobi@debian.org>
 Vcs-Git: https://salsa.debian.org/debian/pngplusplus.git
 Vcs-Browser: https://salsa.debian.org/debian/pngplusplus
+Rules-Requires-Root: no
 
 Package: libpng++-dev
 Section: libdevel
