=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all docs

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/libpng++-dev/usr install-headers
